> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Usage

> Get knowledge storage usage for the current company.
Returns used bytes, limit bytes, and item count.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/knowledge/usage
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/knowledge/usage:
    get:
      tags:
        - Knowledge
      summary: Get Knowledge Usage
      description: |-
        Get knowledge storage usage for the current company.
        Returns used bytes, limit bytes, and item count.
      operationId: get_knowledge_usage_v1_knowledge_usage_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeStorageUsageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    KnowledgeStorageUsageResponse:
      properties:
        used_bytes:
          type: integer
          title: Used Bytes
          description: Total bytes used by all knowledge items
        limit_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit Bytes
          description: >-
            Maximum storage bytes allowed by the plan (null if no limit
            configured)
        item_count:
          type: integer
          title: Item Count
          description: Total number of knowledge items
      type: object
      required:
        - used_bytes
        - item_count
      title: KnowledgeStorageUsageResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````